HandlerMessageExchange (Axis API)
Keywords: org.apache.axis.ime.internal.util.handler.HandlerMessageExchange,HandlerMessageExchange class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.ime.internal.util.handler
Class HandlerMessageExchange

    java.lang.Object
      |
      +--org.apache.axis.ime.internal.MessageExchangeProvider
            |
            +--org.apache.axis.ime.internal.util.handler.HandlerMessageExchange

All Implemented Interfaces:
  MessageExchangeFactory

Direct Known Subclasses:
  HttpMessageExchange, JavaMessageExchange, LocalMessageExchange

public class HandlerMessageExchange
extends MessageExchangeProvider

Used to wrap synchronous handlers (e.g. Axis 1.0 transports)

Author:
  James M Snell (jasnell@us.ibm.com)

Nested Class Summary
`class` | `HandlerMessageExchange.Listener`

Nested classes inherited from class org.apache.axis.ime.internal.MessageExchangeProvider
`MessageExchangeProvider.MessageReceiver, MessageExchangeProvider.MessageSender`

Field Summary
`protected static org.apache.commons.logging.Log` | `log`

Fields inherited from class org.apache.axis.ime.internal.MessageExchangeProvider
`DEFAULT_THREAD_COUNT, initialized, RECEIVE, RECEIVE_REQUESTS, receiveHandler, SELECT_TIMEOUT, SEND, sendHandler, WORKERS`

Constructor Summary
`HandlerMessageExchange(Handler handler)`

Method Summary
`void` | `clearOptions()` Unsupported for now
`protected MessageExchangeEventListener` | `getMessageExchangeEventListener()`
`java.lang.Object` | `getOption(java.lang.String propertyId)` Unsupported for now
`java.lang.Object` | `getOption(java.lang.String propertyId, java.lang.Object defaultValue)` Unsupported for now
`java.util.Hashtable` | `getOptions()` Unsupported for now
`protected ReceivedMessageDispatchPolicy` | `getReceivedMessageDispatchPolicy()`
`Handler` | `getReceiveHandler()`
`Handler` | `getSendHandler()`
`void` | `setOption(java.lang.String propertyId, java.lang.Object propertyValue)` Unsupported for now
`void` | `setOptions(java.util.Hashtable properties)` Unsupported for now

Methods inherited from class org.apache.axis.ime.internal.MessageExchangeProvider
`awaitShutdown, awaitShutdown, cleanup, createMessageExchange, createMessageExchange, init, init, processReceive, processSend, setReceiveHandler, setSendHandler, shutdown, shutdown`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

Constructor Detail

### HandlerMessageExchange

    public HandlerMessageExchange(Handler handler)

Method Detail

### getMessageExchangeEventListener

    protected MessageExchangeEventListener getMessageExchangeEventListener()

  Specified by:
    `getMessageExchangeEventListener` in class `MessageExchangeProvider`
  See Also:
    `org.apache.axis.ime.internal.MessageExchangeProvider1#createSendMessageContextListener()`

### getReceivedMessageDispatchPolicy

    protected ReceivedMessageDispatchPolicy getReceivedMessageDispatchPolicy()

  Specified by:
    `getReceivedMessageDispatchPolicy` in class `MessageExchangeProvider`

### getSendHandler

    public Handler getSendHandler()

  Overrides:
    `getSendHandler` in class `MessageExchangeProvider`

### getReceiveHandler

    public Handler getReceiveHandler()

  Overrides:
    `getReceiveHandler` in class `MessageExchangeProvider`

### clearOptions

    public void clearOptions()

  Description copied from class: `MessageExchangeProvider`
  Unsupported for now

  Overrides:
    `clearOptions` in class `MessageExchangeProvider`
  See Also:

### getOptions

    public java.util.Hashtable getOptions()

  Description copied from class: `MessageExchangeProvider`
  Unsupported for now

  Overrides:
    `getOptions` in class `MessageExchangeProvider`
  See Also:

### getOption

    public java.lang.Object getOption(java.lang.String propertyId,
                                      java.lang.Object defaultValue)

  Description copied from class: `MessageExchangeProvider`
  Unsupported for now

  Overrides:
    `getOption` in class `MessageExchangeProvider`
  See Also:

### getOption

    public java.lang.Object getOption(java.lang.String propertyId)

  Description copied from class: `MessageExchangeProvider`
  Unsupported for now

  Overrides:
    `getOption` in class `MessageExchangeProvider`
  See Also:

### setOptions

    public void setOptions(java.util.Hashtable properties)

  Description copied from class: `MessageExchangeProvider`
  Unsupported for now

  Overrides:
    `setOptions` in class `MessageExchangeProvider`
  See Also:

### setOption

    public void setOption(java.lang.String propertyId,
                          java.lang.Object propertyValue)

  Description copied from class: `MessageExchangeProvider`
  Unsupported for now

  Overrides:
    `setOption` in class `MessageExchangeProvider`
  See Also:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Web Services Project. All Rights Reserved.